OSMOMSC(1)

NAME
OsmoMSC - osmo-msc

SYNOPSIS
osmo-msc

DESCRIPTION
OsmoMSC is the Osmocom implementation of a Mobile Switching Center (MSC). It implements the following interfaces:

    3GPP AoIP over M3UA or SUA towards BSCs, for example OsmoBSC, possibly via a STP like OsmoSTP
    3GPP IuCS over M3UA or SUA towards RNCs or HNBGWs, for example OsmoHNBGW, possibly via a STP like OsmoSTP
    Osmocom GSUP (alternative to SS7/TACP/MAP) towards an HLR such as OsmoHLR
        Subscriber management
        Supplementary Services (SS/USSD)
        Short Message Service (SMS)
        inter-MSC handover
    SMPP v3.4 for external SMS entities (minimal SMSC is built-in)
    MGCP for controlling an external Media Gateway like OsmoMGW
    MNCC for external call-control handlers, such as osmo-sip-connector for SIP trunks
    Osmocom VTY interface for configuration + introspection
    Osmocom CTRL interface for programmatic access to internal state/configuration

https://osmocom.org/projects/osmomsc/wiki

OPTIONS

-h --help
    This text.

-d option --debug=DCC:DMM:DRR:
    Enable debugging.

-D --daemonize
    Fork the process into a background daemon.

-c --config-file filename
    The config file to use.

-s --disable-color

-T --timestamp
    Prefix every log line with a timestamp.

-V --version
    Print the version of OsmoMSC.

-e --log-level number
    Set a global loglevel.

  VTY reference generation:

--vty-ref-mode MODE
    VTY reference generation mode (e.g. 'expert').

--vty-ref-xml
    Generate the VTY reference XML output and exit.

OsmoMSC - Osmocom Circuit-Switched Core Network implementation Copyright © 2016 by sysmocom s.f.m.c. GmbH <info@sysmocom.de> Based on OsmoNITB:

    (C) 2008-2010 by Harald Welte <laforge@gnumonks.org> (C) 2009-2012 by Holger Hans Peter Freyther <zecke@selfish.org>

Contributions by Daniel Willmann, Jan L??bbe, Stefan Schmidt Dieter Spaar, Andreas Eversberg, Sylvain Munaut, Neels Hofmeyr

License AGPLv3+: GNU AGPL version 3 or later <http://gnu.org/licenses/agpl-3.0.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
http://ftp.osmocom.org/docs/latest/osmomsc-usermanual.pdf

http://ftp.osmocom.org/docs/latest/osmomsc-vty-reference.pdf

The full documentation for OsmoMSC is maintained as a Texinfo manual. If the info and OsmoMSC programs are properly installed at your site, the command

    info OsmoMSC

should give you access to the complete manual.